## NAME

           makecpt - Make GMT color palette tables

## SYNOPSIS

           makecpt [ -Ctable ] [ -I ] [ -Tz0/z1/dz | -Tztable] [ -V ] [ -Z ]

## DESCRIPTION

           makecpt  is a utility that will help you make color palette tables (cpt
           files). You define an equidistant set of contour intervals or pass your
           own  z-table, and create a new cpt file based on an existing master cpt
           file. The resulting cpt file can be reversed  relative  to  the  master
           cpt, and can be made continuous or discrete.

## OPTIONS

           -C     Selects  the  master  color table table to use in the interpola-
                  tion.  Choose among the built-in tables (type makecpt to see the
                  list)  or  give the name of an existing cptfile [Default gives a
                  rainbow cpt file].

           -I     Reverses the sense of color progression in the master cptfile.

           -T     Defines the range of the new cptfile by giving  the  lowest  and
                  highest  z-value  and the interval. Alternatively, give the name
                  of a ASCII file that has one z-value per record. If  not  given,
                  the existing range in the master cptfile will be used intact.

           -V     Selects verbose mode, which will send progress reports to stderr
                  [Default runs "silently"].

           -Z     Creates a continuous cpt file [Default  is  discontinuous,  i.e.
                  constant colors for each interval].

## EXAMPLES

           To  make a cpt file with z-values from -200 to 200, with discrete color
           changes every 25, and using a polar blue-white-red colortable, try

           makecpt -Cpolar -T-200/200/25 > colors.cpt

           To make an equidistant cpt file from z = -2 to 6, in steps of 1,  using
           continuous default rainbow colors, try

           makecpt -T-2/6/1 -Z > rainbow.cpt

           To make a GEBCO look-alike cpt file for bathymetry, try

           makecpt -Cgebco > my_gebco.cpt

## BUGS

           Since makecpt will also interpolate from any existing .cpt file you may
           have in your directory, you cannot use one of the listed cpt  names  as
           an output filename; hence the my_gebco.cpt in the example.

## SEE ALSO

           gmt(l), grd2cpt(l)

    GMT3.4.6                          1 Jan 2005                        MAKECPT(l)